Subject: Re: Solaris 2.4 and chroot and /dev/zero

From: [email-masked] (James B. Davis)
Date: Mon, 25 Sep 1995 08:54:56 -0500

> From [email-masked] Mon Sep 25 07:49 MDT 1995
> Date: Mon, 25 Sep 1995 15:42:00 +0200
> From: [email-masked] (Torbj\vrn Wictorin)
> To: [email-masked]
> Subject: Solaris 2.4 and chroot and /dev/zero
> X-Listprocessor-Version: 7.1 -- ListProcessor by CREN
> 
> Hello!
>    I have a small(?) problem. WuFtpd under SunOS 5.4 chrooted
> requires /dev/zero and /dev/tcp as described in the installation
> instructions.
> But it does not work.
> I get No such device or address.
> 
> It it anyone who knows a bit about solaris who knows why?
> It way easyier under SunOS...
> /torbjorn Wictorin <[email-masked]>
> 

I have it all working under Solaris 2.4 just fine.  You
MUST read the in.ftpd manpage.  It goes into alot of detail
how to setup an anony server.  There is even a shell script
in the manpage that will create the devices for you
(I set mine up by hand though).  If you don't get the
major and minor addresses correct, you will get the
above error messages...  After you have setup the
environment like the manpage said, go over the
installation notes for wu-ftpd.  I put all my message
files in ~ftp/etc and made links back to /etc for each.

james

James B. Davis, Sr. UNIX Systems Administrator
TCI / Advanced Information Technology Group
Southern Datacenter (corporate)
1776 S Greenville Ave, Richardson, TX 75081 ph 214.234.1245
[email-masked]  / 1.800.SKY.PAGE Pin 1205956

"The bureaucratic mentality is the only constant in the universe."
	- Dr. McCoy, MD UFP